JSONFormatterException (Apache Geode 1.3.0)
Date: 2017-10-26

org.apache.geode.pdx

## Class JSONFormatterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.pdx.JSONFormatterException

- All Implemented Interfaces:
    java.io.Serializable

      public class JSONFormatterException
      extends GemFireException

  This exception will be thrown, when {link @JSONFormatter} is unable to parse the JSON document or {link @PdxInstance}.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSONFormatterException(java.lang.String message)` Create the exception with the given message.
    `JSONFormatterException(java.lang.String message, java.lang.Throwable cause)` Create the exception with the given message and cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JSONFormatterException

          public JSONFormatterException(java.lang.String message)

      Create the exception with the given message.
      Parameters:
        `message` - the message of the new exception

    - #### JSONFormatterException

          public JSONFormatterException(java.lang.String message,
                                        java.lang.Throwable cause)

      Create the exception with the given message and cause.
      Parameters:
        `message` - the message of the new exception
        `cause` - the cause of the new exception